Name:            zziplib
Version:         0.13.74
Release:         3
Summary:         Lightweight library for zip compression
License:         LGPLv2+ or MPLv1.1
URL:             http://zziplib.sourceforge.net
Source0:         https://github.com/gdraheim/zziplib/archive/refs/tags/v0.13.74.tar.gz

Patch0001:       fix-CVE-2024-39134.patch
Patch0002:       fix-CVE-2024-39133.patch

BuildRequires:   perl-interpreter  zip xmlto
BuildRequires:   zlib-devel SDL-devel pkgconfig autoconf automake gcc make
BuildRequires:   cmake

Provides:        zziplib-utils
Obsoletes:       zziplib-utils

%description
The zziplib is a lightweight library to easily extract data from zip files. Applications
can bundle files into a single zip archive and access them. The implementation is based
only on the (free) subset of compression with the zlib algorithm which is actually used
by the zip/unzip tools.

%package         devel
Summary:         Header files and libraries for zziplib development
Requires:        %{name} = %{version}-%{release}
Requires:        pkgconfig zlib-devel SDL-devel

%description     devel
This package contains the header files and libraries needed to
develop programs that use the zziplib compression and decompression
library.

%package         help
Summary:         Help documentation for the zziplib library
Requires:        %{name} = %{version}-%{release}
BuildArch:       noarch

%description     help
This package includes help documentation and manuals related to zziplib.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%cmake -B "%{_vpath_builddir}" -DZZIP_TESTCVE=OFF

%make_build -C "%{_vpath_builddir}"

%install
%make_install -C "%{_vpath_builddir}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc docs/COPYING* ChangeLog README TODO
%{_bindir}/*
%{_libdir}/*.so.*
%exclude %{_datadir}/zziplib/*.cmake

%files devel
%doc docs/README.SDL docs/*.htm
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%exclude %{_libdir}/*.la

%files help
%{_mandir}/man3/*

%changelog
* Mon Aug 12 2024 baiguo <baiguo@kylinos.cn> - 0.13.74-3
- fix CVE-2024-39133

* Fri Aug 9 2024 baiguo <baiguo@kylinos.cn> - 0.13.74-2
- fix CVE-2024-39134

* Tue Jul  9 2024 dillon chen <dillon.chen@gmail.com> - 0.13.74-1
- update to 0.13.74

* Wed Jul  5 2023 dillon chen <dillon.chen@gmail.com> - 0.13.72-2
- add -DZZIP_TESTCVE=OFF skip download test(curl github)

* Tue Sep 27 2022 dillon chen <dillon.chen@gmail.com> - 0.13.72-1
- update to 0.13.72

* Sat Sep 04 2021 shixuantong <shixuantong@huawei.com> - 0.13.71-3
- remove rpath

* Fri Jun 25 2021 shixuantong <shixuantong@huawei.com> - 0.13.71-2
- fix CVE-2020-18442

* Tue Nov 3 2020 tianwei <tianwei12@huawei.com> - 0.13.71-1
- update to 0.13.71 and remove python2

* Fri Feb 14 2020 chengquan <chengquan3@huawei.com> - 0.13.36-5
- Add necessary BuildRequires

* Thu Jan 9 2020 BruceGW <gyl93216@163.com> - 0.13.36-4
- Delete useless patch

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.13.36-3
- Fix CVE-2018-16548 and CVE-2018-17828

* Thu Sep 12 2019 dongjian <dongjian13@huawei.com> 0.13.36-2
- Modification summary
